#!/bin/sh
# 
###############################################################################
##
## PowersupplyDupIE:
## descriptions: returns empty xml set for specific OS versions
##
###############################################################################

# common variables
typeset -ri _TRUE=0
typeset -ri _FALSE=1
typeset -ri _VERBOSE=$_FALSE
bVerbose() {
    [ $_VERBOSE -eq $_TRUE ]
}

# set xml tags
typeset tag=Inventory
[ "-i" = ${1:-none} ] && tag=Inventory
[ "-u" = ${1:-none} ] && tag=Execution

# produce empty xml with message argument
echo_xml() {
    local msg=$1
    cat << EOXML
<?xml version="1.0" encoding="UTF-8" ?>
<SVM$tag lang="en">
<SPStatus result="true">
<Message id="0"> The Power supply Dup is currently not supported by this system.
</Message>
</SPStatus>
</SVM$tag>
EOXML
    exit $_TRUE
}

echo_xml $tag
